Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class NodeConfiguration

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.NodeConfiguration

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieNodeConfiguration

    public class NodeConfiguration

extends TieApplicationObject

A NodeConfiguration is used to manage the configuation of a node in IFS. A Node configuration will hold information about services and servers that are part of the node.

(Published)

Field Summary
`static java.lang.String` | `ACTIVE_ATTRIBUTE` The name of the ACTIVE attribute.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `SERVERS_ATTRIBUTE` The name of the SERVERS attribute.
`static java.lang.String` | `SERVICES_ATTRIBUTE` The name of the SERVICES attribute.
`static java.lang.String` | `SUPERNODECONFIGURATION_ATTRIBUTE` The name of the SUPERNODECONFIGURATION attribute.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` The uniquename of the service that the NodeConfiguration describes.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `NodeConfiguration(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a NodeConfiguration.

Method Summary
`static NodeConfiguration[]` | `findAll(LibrarySession session)` Returns the set of defined NodeConfiguration instances.
`static NodeConfiguration` | `findByName(LibrarySession session, java.lang.String name)` Returns a NodeConfiguration matching the specified name.
`java.lang.String[]` | `getDisabledInheritedPropertyNames()` Gets the array of Property names that should not be inherited from the Super NodeConfiguration.
`java.lang.String[]` | `getDisabledInheritedServerNames()` Gets the array of Server names that should not be inherited from the Super NodeConfiguration.
`AttributeValueTable` | `getEffectivePropertyTable()` Gets the effective set of properties, combining this instance's properties with any defined on the super NodeConfiguration.
`AttributeValueTable` | `getEffectiveServersTable()` Gets the effective set of servers, combining this instance's servers with any defined on the super NodeConfiguration.
`java.lang.String[]` | `getEnabledInheritedPropertyNames()` Gets the array of Property names that should ONLY be inherited from the Super NodeConfiguration.
`java.lang.String[]` | `getEnabledInheritedServerNames()` Gets the array of Server names that should ONLY be inherited from the Super NodeConfiguration.
`PropertyBundle` | `getServers()` Gets the Servers property bundle.
`PropertyBundle` | `getServices()` Gets the Services property bundle.
`NodeConfiguration` | `getSuperNodeConfiguration()` Gets the "super" NodeConfiguration - the NodeConfiguration that this instance extends.
`java.lang.String` | `getUniqueName()` Gets the unique name for this instance.
`boolean` | `isActive()` Returns true if the node is Active.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`void` | `setActive(boolean status)` Sets the value of ACTIVE attribute.
`void` | `setServers(PropertyBundle servers)` Sets the Servers Property bundle.
`void` | `setServices(PropertyBundle services)` Sets the Services Property bundle.
`void` | `setSuperNodeConfiguration(NodeConfiguration nc)` Sets the "super" NodeConfiguration - the NodeConfiguration that this instance extends.

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `NodeConfiguration`
  This class name for this class.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `NodeConfiguration`
  The uniquename of the service that the NodeConfiguration describes.

  See Also:
    Constant Field Values
  (Published)

### ACTIVE_ATTRIBUTE

    public static final java.lang.String ACTIVE_ATTRIBUTE

  Description copied from class: `NodeConfiguration`
  The name of the ACTIVE attribute.

  See Also:
    Constant Field Values
  (Published)

### SERVICES_ATTRIBUTE

    public static final java.lang.String SERVICES_ATTRIBUTE

  Description copied from class: `NodeConfiguration`
  The name of the SERVICES attribute.

  See Also:
    Constant Field Values
  (Published)

### SERVERS_ATTRIBUTE

    public static final java.lang.String SERVERS_ATTRIBUTE

  Description copied from class: `NodeConfiguration`
  The name of the SERVERS attribute.

  See Also:
    Constant Field Values
  (Published)

### SUPERNODECONFIGURATION_ATTRIBUTE

    public static final java.lang.String SUPERNODECONFIGURATION_ATTRIBUTE

  Description copied from class: `NodeConfiguration`
  The name of the SUPERNODECONFIGURATION attribute.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### NodeConfiguration

    protected NodeConfiguration(LibrarySession session,
                                java.lang.Long id,
                                java.lang.Long classId,
                                S_LibraryObjectData data)
                         throws IfsException

  Constructs a NodeConfiguration.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the NodeConfiguration data
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

Method Detail

### getUniqueName

    public java.lang.String getUniqueName()
                                   throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the unique name for this instance.

  Returns:
    the unique name
  Throws:
    `IfsException` - if operation fails

### isActive

    public boolean isActive()
                     throws IfsException

  Description copied from class: `NodeConfiguration`
  Returns true if the node is Active. Otherwise, returns false. An active node gets started by Domain Controller when it is started.

  Returns:
    true if node is active; false otherwise.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getServices

    public PropertyBundle getServices()
                               throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the Services property bundle.

  Returns:
    PropertyBundle that holds the list of services in this node.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getServers

    public PropertyBundle getServers()
                              throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the Servers property bundle.

  Returns:
    PropertyBundle that holds the list of servers in this node.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSuperNodeConfiguration

    public NodeConfiguration getSuperNodeConfiguration()
                                                throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the "super" NodeConfiguration - the NodeConfiguration that this instance extends.

  Returns:
    the "super" NodeConfiguration
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDisabledInheritedPropertyNames

    public java.lang.String[] getDisabledInheritedPropertyNames()
                                                         throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the array of Property names that should not be inherited from the Super NodeConfiguration.

  Returns:
    array of Property names that should not be inherited
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEnabledInheritedPropertyNames

    public java.lang.String[] getEnabledInheritedPropertyNames()
                                                        throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the array of Property names that should ONLY be inherited from the Super NodeConfiguration.

  Returns:
    array of Property names that should only be inherited
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDisabledInheritedServerNames

    public java.lang.String[] getDisabledInheritedServerNames()
                                                       throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the array of Server names that should not be inherited from the Super NodeConfiguration.

  Returns:
    array of Server names that should not be inherited
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEnabledInheritedServerNames

    public java.lang.String[] getEnabledInheritedServerNames()
                                                      throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the array of Server names that should ONLY be inherited from the Super NodeConfiguration.

  Returns:
    array of Server names that should only be inherited
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectivePropertyTable

    public AttributeValueTable getEffectivePropertyTable()
                                                  throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the effective set of properties, combining this instance's properties with any defined on the super NodeConfiguration.

  The target object's properties take precedence over the properties defined in the super NodeConfiguration.

  Returns:
    the table of effective properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectiveServersTable

    public AttributeValueTable getEffectiveServersTable()
                                                 throws IfsException

  Description copied from class: `NodeConfiguration`
  Gets the effective set of servers, combining this instance's servers with any defined on the super NodeConfiguration.

  The target object's servers take precedence over the servers defined in the super NodeConfiguration.

  Returns:
    the table of effective servers
  Throws:
    `IfsException` - if the operation fails
  (Published)

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `PublicObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  Override to free all existing categories, in such a way that the PO doesn't get updated for each category free.

  Overrides:
    `preFree` in class `PublicObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### setActive

    public void setActive(boolean status)
                   throws IfsException

  Description copied from class: `NodeConfiguration`
  Sets the value of ACTIVE attribute.

  Parameters:
    `status` - true to make active; false otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setServices

    public void setServices(PropertyBundle services)
                     throws IfsException

  Description copied from class: `NodeConfiguration`
  Sets the Services Property bundle.

  Parameters:
    `services` - property bundle that holds the services in the node
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setServers

    public void setServers(PropertyBundle servers)
                    throws IfsException

  Description copied from class: `NodeConfiguration`
  Sets the Servers Property bundle.

  Parameters:
    `servers` - property bundle that holds the servers in the node
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSuperNodeConfiguration

    public void setSuperNodeConfiguration(NodeConfiguration nc)
                                   throws IfsException

  Description copied from class: `NodeConfiguration`
  Sets the "super" NodeConfiguration - the NodeConfiguration that this instance extends.

  Parameters:
    `nc` - the "super" NodeConfiguration
  Throws:
    `IfsException` - if the operation fails
  (Published)

### findAll

    public static NodeConfiguration[] findAll(LibrarySession session)
                                       throws IfsException

  Description copied from class: `NodeConfiguration`
  Returns the set of defined NodeConfiguration instances.

  The instances will be sorted by unique name.

  Parameters:
    `session` - the session context
  Returns:
    the set of NodeConfiguration instances; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static NodeConfiguration findByName(LibrarySession session,
                                               java.lang.String name)
                                        throws IfsException

  Description copied from class: `NodeConfiguration`
  Returns a NodeConfiguration matching the specified name.

  Use UNIQUENAME, which is a forced-upper variant of the name.

  Parameters:
    `session` - the session context
    `name` - the NodeConfiguration name
  Returns:
    the NodeConfiguration matching the specified name; or null if there exists no matching NodeConfiguration
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD